2009-09-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.3.18185-0

2009-08-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.5.0.24643-Beta2
	* fb2.5.patch.bz2: updated
	* PRE_BUILD: don't delete supplied extern/binreloc
	* DETAILS: set SECURITY_PATCH=1 for 2.5 & 2.1 versions
	  CVE-2009-2620 <http://www.coresecurity.com/content/firebird-sql-dos>

2009-07-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.3.18185-0.RC2

2009-06-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.3.18156-0.RC1

2009-05-25 Treeve Jelbert <treeve@sourcemage.org>
	* fb2.*.patch.bz2: fix for gcc4.4 / icu-4.2 issues

2009-04-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.5.0.23247-Beta1
	* fb2.5.patch.bz2: updated

2009-03-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.2.18118-0

2009-03-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.2.18118-0.RC2
	* PRE_BUILD: adjust for latest libtool

2009-01-26 Treeve Jelbert <treeve@sourcemage.org>
	* init/firebird2: fix stop process

2009-01-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.5.13206-0

2009-01-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.2.18116-0.RC1

2009-01-07 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/firebird2: ensure that fbserver runs as user 'firebird'

2009-01-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.2.18114-0.RC1

2008-12-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.2.18108-0.RC1
	* fb2.1.patch.bz2: updated
	* BUILD: use make_single

2008-12-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.5.13206-0.RC2

2008-11-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.5.13200-0.RC1
	* fb2.*.patch.bz2: update
	* BUILD: add missing &&
	* INSTALL: move more logic into the patched makeInstallImage.sh.in

2008-11-05 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: fix typo
	  remove make_single, except for fb2.0
	* fb2.{1,5}.patch.bz2: update for make_single

2008-10-12 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD, init.d/firebird2, volatiles, configs, excluded,
	  xinetd/firebird:  now install to /opt/firebird
	* BUILD: add make_single
	* DETAILS: PATCHLEVEL=1

2008-09-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: make 2.1 the default version

2008-08-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS:  2.1.1.17910-0 (stable)
	* fb2.1.patch.bz2: updated

2008-07-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.5.0.20343-Alpha1 (devel)
	  revert to dourceforge site
	* PREPARE, DEPENDS: add option for 2.5
	* fb2.5.patch.bz2: added
	* BUILD, INSTALL: move mkInstallImage stuff to INSTALL.
	  avoids redundant copying of large amounts of data
	* BUILD: add some extra []
	  remove stripping of optimisations and make_single
	* INSTALL: prevent overwriting of security2.fdb
	* volatiles, configs: add fbintl.conf
	* init.d/firebird2: run fbserver directly. don't use fbguard

2008-05-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.1.17910-RC1

2008-05-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.4.0.13130-1

2008-04-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.0.17798-0

2008-04-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.4.13126-RC1
	* fb2.0.patch.bz2: updated

2008-03-24 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: use GATHER_DOCS=off
	  this prevents installing two copies of docs
	  also some general cleanup

2008-03-09 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/firebird2: fix for latest su
	  move -l option to end

2008-03-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.0.17755-ReleaseCandidate2
	* PREPARE: version 2.1 is no longer experimental

2008-01-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.0.17735-ReleaseCandidate1
	* fb2.1.patch.bz2: updated

2007-10-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.0.16780-Beta2
	* BUILD: strip -O3 from optimisations, gcc-4.2.2 problem
	* fb2.1.patch.bz2: updated

2007-09-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.3.12981-1
	* REPAIR*: delete obsolete files
	* BUILD: don't save security.fdb, it may be corrupt
	  let the dba make his own backups


2007-09-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.3.12981-0
	  from prelease url, as 2.0.2 was withdrawn
	* fb2.0.patch.bz2: updated

2007-08-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.2.12964-0 ( no longer RC)
	  use sourceforge url

2007-08-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.2.12964-RC1-0
	* PREPARE: fix typo

2007-08-15 Treeve Jelbert <treeve@sourcemage.org>
	* PREPARE, DETAILS, PRE_BUILD, DEPENDS: remove fb1.5 support
	  it is considered obsolete by the Firebird project
	* REPAIR^a0c257655c2c986a126a1e0c0297d97a^volatiles: set x bit
	* fb1.5.patch.bz2, init.d/firebird15: deleted

2007-07-27 Treeve Jelbert <treeve@sourcemage.org>
	* FINAL: add a mention of Firebird-2.1 changes

2007-07-19 Treeve Jelbert <treeve@sourcemage.org>
	* services: remove obsolete file

2007-06-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.0.15999-Beta1
	* DEPENDS: use new --with-system-{icu,editline} options
	* fb2.1.patch.bz2: updated
	* BUILD: bypass icu/libedit related code for fb2.1

2007-05-07 Treeve Jelbert <treeve@sourcemage.org>
	* volatiles: fix typo
	* REPAIR^a0c257655c2c986a126a1e0c0297d97a^volatiles: add

2007-04-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: disable DOCS, as they are installed twice

2007-03-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.1.0.15199-Alpha1
	* PREPARE: add query for version 2.1
	* fb2.1.patch.bz2: added
	* DEPENDS: fb2.1 needs btyacc instead of bison
	* BUILD: add missing &&

2007-03-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* BUILD, INSTALL, FINAL: move some code to BUILD
	  this works better with staged install
	* PRE_BUILD: disable check for running server
	* volatiles, configs: fix
	* REPAIR*:added, force volaties, configs fixes into existing builds

2007-03-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.1.12855
	* fb2.0.patch.bz2: updated, src/gpre/cob.cpp fixed upstream

2007-02-09 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.4.4910
	* fb1.5.patch.bz2: update, mostly included upstream

2007-01-30 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: updated hash, source tarball renamed the install directory

2007-01-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.1.12810
	* volatiles, configs; fix regex
	* excluded: add
	* protected: delete
	* BUILD: add make_{single,normal}

2007-01-03 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: fix typo, simplify logic
	  check for a running server
	* fb*.patch.bz2: rename

2007-01-01 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD: simplify  patching logic
	* DETAILS, PREPARE, DEPENDS: change query variable for easier future expansion
	* fb2.patch.bz2: update for amd64

2006-11-19 Treeve Jelbert <treeve@sourcemage.org>
	* protected, configs, REPAIR^none^*: added
	* PREPARE: add a query
	* PRE_INSTALL: delete
	* INSTALL: include some stuff from old PRE_INSTALL
	  use install_config_file
	* CONFIGURE, BUILD: add support for gpre languages
	* DETAILS: PATCHLEVEL++

2006-11-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: use sourceforge for all downloads
	* BUILD: add a note to myself

2006-11-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.0.12748
	* fb2.patch.bz2: don't copy init files
	  fix icu error message
	* DEPENDS: add bison

2006-10-29 Treeve Jelbert <treeve@sourcemage.org>
	* PRE_BUILD, PREPARE, DEPENDS, DETAILS:
	  make version 2.0 the default, adjust all relevant tests
	* volatiles; add firebird.conf
	  add ${INSTALL_ROOT} to all entries
	* FINAL: create lock files in /var/lock/firebird and use symlinks
	* BUILD, PRE_INSTALL: more work for library only build
	* CONFIGURE: activate client only install

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT not INSTALL_ROOT when linking #9163

2006-10-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.0.12745-ReleaseCandidate5 (devel)

2006-09-21 Treeve Jelbert <treeve@sourcemage.org>
	* CONFIGURE: fix typo

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-01 Treeve Jelbert <treeve@sourcemage.org>
	* CONFIGURE, BUILD, INSTALL, FINAL;
	  prepare for allow installation of client library only
	* PRE_INSTALL: s/echo/message/

2006-08-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.0.12724-ReleaseCandidate4 (devel)
	* PREPARE, DETAILS, PRE_BUILD: remove cvs support
	* init.d/firebird: rename as init.d/firebird15
	  this should remove confusion over having two init scripts

2006-08-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: changes DOCS

2006-07-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.0.12710-ReleaseCandidate3 (devel)
	* DEPENDS: remove cvs

2006-06-16 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* UP_TRIGGERS: replaced fast_up_depends with show_up_depends, bug #12665

2006-05-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: fix CVS address
	  change cvs version name to 'snapshot'
	  bug #11880

2006-05-21 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: fix typo regarding cvs

2006-05-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.0.0.12654-ReleaseCandidate2 (devel)
	* DEPENDS: devel version no longer needs CVS
	* PRE_INSTALL: added, to preserve some files (was in INSTALL)
	* INSTALL: move some code to PRE_INSTALL
	  no longer create a symlink for libgds.so
	* BUILD FINAL : use persistent FB_PREFIX
	* FINAL: there are no example databases

2006-04-28 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/firebird2: use pid for start/stop
	  as of rc2, preferred method of stopping is to kill the pid,
	  since it does not need knowledge of the password

2006-04-28 Arwed v. Merkatz <v.merkatz@gmx.net>
	* UP_TRIGGERS: replaced 'gaze depends' call with
	  fast_up_depends, bug #10661

2006-04-27 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/firebird2: add separate init script for firebird2
	  no longer contains passwords

2006-04-22 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add --without-editline if editline not wanted
	  fix bug # 11462

2006-04-01 Treeve Jelbert <treeve@sourcemage.org>
	* UP_TRIGGERS: remove a line which was for debugging only

2006-03-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: devel version is now firebird2 T2_0_0_RC1 (cvs)
	* fb2.patch.bz2: update

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: devel version is now firebird2 T2_0_0_Beta2 (cvs)
	* PREPARE: update warnings
	* volatiles: previously forgotten update
	* DEPENDS: add CVS for non-stable versions

2006-02-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: cvs version is now firebird2 T2_0_0_Beta2
	* PRE_BUILD: 
          add autogen
	  apply fb{15,2}.patch
	  remove sed stmts
	* BUILD: remove autogen
	  add ICU_FLAGS; set other LDFLAGS (-ledit, -lpthread)
	* FINAL INSTALL volatiles: firebird2 uses different security db
	* DEPENDS: firebird2 depends on icu
	  optional libedit
	* CONFIGURE: remove editline query, now in DEPENDS
	* PREPARE: warn of major changes
	* fb*.patch.bz2: add
	* firebird-1.5.2-gcc4.patch.bz2: delete
	* UP_TRIGGERS: added, to detect changed  libfb* libraries

2006-01-25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.3.4870
	* INSTALL volatiles: adjust

2005-12-16 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: set CVS tag to R1_5_3
	* PRE_BUILD: adjust for latest cvs
	* volatiles: aliases.conf

2005-11-30 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 IGNORE to SOURCE_HASH volatile

2005-10-27 Treeve Jelbert <treeve@sourcemage.org>
	* volatiles: add aliases.conf
	* BUILD CONFIGURE: optional editline support
	* init.d/firebird: fix stop command
	  create /var/run/firebird

2005-10-21 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/firebird: add "-s /bin/sh" to su commands

2005-10-20 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/firebird: adjust stop command

2005-10-09 Treeve Jelbert <treeve@sourcemage.org>
	* init.d/firebird: make compatible with latest coreutils
	* BUILD PRE_BUILD: move patching to PRE_BUILD
	* PREPARE DETAILS: use FB_VER variable
	* DETAILS: use SOURCE_HASH instead of MD5
	* INSTALL: fix

2005-08-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS DEPENDS: remove gcc34
	* BUILD: apply gcc4 patch
	* firebird-1.5.2-gcc4.patch.bz2: add

2005-05-29 Treeve Jelbert <treeve@sourcemage.org>
	* CONFIGURE: add
	* BUILD: simplify

2005-05-29 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS DEPENDS BUILD:
	  convert to gcc34
	* PREPARE: remove old entries
	* volatiles: added

2005-02-26 Treeve Jelbert <treeve@sourcemage.org>
	* INSTALL FINAL: move some code to FINAL, so that certain files 
	  are not tracked

2004-12-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.2.4731 (stable)

2004-12-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.2.4731 (devel)

2004-12-01 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.2.4721 (devel)

2004-11-27 Treeve Jelbert <treeve@sourcemage.org>
	* FINAL: add
	  remove some files from the install logs, as they are modified on a daily basis

2004-11-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.2.4719 (devel)

2004-11-19 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS PREPARE PRE_BUILD: replace 'exit' by 'return'
	  fixes bug #7649

2004-10-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.2.4634 (devel)
	* PREPARE: disable message about no devel version

2004-09-11 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: no longer test for gcc-3.4; 
	  problem solved in gcc-3.4.2

2004-07-31 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: reactivate FORCE_DOWNLOAD for cvs version
	* PRE_BUILD: no longer check for running firebird server
	  this should be a dba or sysadmin decision

2004-07-20 Treeve Jelbert <treeve@sourcemage.org>
	* PREPARE: add, use config_query_list
	  allow multiple versions (stable, devel & cvs)
	  add error if try to build stable with gcc-3.4.x
	* CONFIGURE: delete
	* DETAILS: adjust conditional code
	  version 1.5.1.4481 (again), renumbered for consistency with other release files
	* BUILD: adjust, define local variable
	* INSTALL: local variables

2004-07-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.1.4500
	  revert to sourceforge url for final release version
	  CVS version now builds ok with gcc-3.4.0

2004-07-06 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: remove -O3 from compiler flags (g++ bug)
	* DEPENDS: add g++

2004-07-07 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: fix cvs build using gcc-3.4.1 (compiler crash)

2004-06-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.1.4481 (rc3)

2004-06-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.1.4475 (rc2)

2004-06-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: BUILD_API=2
	* BUILD: strip
	  reactivate --with-editline
	  CVS version builds ok with gcc-3.4.0
	* INSTALL: add
	  fix install for CVS version ( no examples/*.fdb)

2004-05-11 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: adjust CVS build process for new script locations
	  disable --with-editline, as it is not currently recommended

2004-05-02 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.1.4443 (prerelease)
	  temporary change of SOURCEURL
	  there is a problem building with gcc-3.4.0

2004-04-16 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add libtool
	  fixes bug #6742

2004-04-15 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.1.4354 (prerelease)
	  temporary change of SOURCEURL
	* PRE_BUILD: cleanup. extra [] brackets

2004-02-21 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.0.4290
	* BUILD: make symlink for libgds.so, 
	  some applications expect to find it
	* PRE_BUILD: check for existing firebird account

2004-02-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5.0.4288 (rc9)
	* BUILD: remove obsolete comments
	* PRE_BUILD: create_account may cause problems
	  some versions of groupadd do not work with -G parameter
	  shadow-4.0.4.1:/usr/sbin/groupadd 
	  This is a sorcery bug #5790

2004-01-02 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: suppress debugging info asap
	  use the makeInstallImage script
	* DETAILS: VERSION=15-RC8, 
	  there is now an official tarball at sourceforge
	* init.d/firebird: ensure that actually runs as 'user firebird'
	* PRE_BUILD: make sure that firebird user is actually created
	  remember to ask sorcery for a firebird user and group
	* POST_INSTALL: removed

2003-12-28 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version T1_5_0_RC8_4201
	* BUILD: adjust for changes in make

2003-12-08 Treeve Jelbert <treeve@sourcemage.org>
	* CONFIGURE: prompt for CVS sources
	* DETAILS: allow CVS or release tarball (v2 or v1.5)
	* BUILD: remove patch, use sed instead
	* patches/*: remove

2003-12-02 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD firebird scripts: install to /usr/firebird
	  fix permissions on include directory and bin/changeDBAPassword.sh
	  move log file to /var/log
	* CONFIGURE: clean up

2003-11-26 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD: enable config patch, to improve compiler optimisation
	  now do my own install, it's much shorter
	  use configured options
	* DETAILS: specify DOCS
	* patches/ac* : add
	* scripts/*: remove
	* install.sh.cp: remove
	* CONFIGURE init.d/firebird xinetd/firebird: add
	* It appears that the xinetd script does not get installed when 
	  building a classic server. install it manually and restart xinetd

2003-11-24 Treeve Jelbert <treeve@sourcemage.org>
	* post*, pre*: remove obsolete files

2003-11-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version = cvs
	* BUILD: use a modified version of the latest binary 
	  Firebird install script, which actually install the init.d or 
	  xinet.d script as appropriate, but I have made smgl specific scripts
	* PROVIDES *.patch scripts/*: add
	* CONFLICTS: remove
	* POST_INSTALL: clean up

2003-11-13 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: rename spell as firebird
	* DEPENDS: added openssl libmcrypt ncurses
	* BUILD: only build CLASSIC Server for the moment
	  this does not need an init.d script
	  preserve existing settings
	  don't use their install script

2003-11-11 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 1.5-rc7 (from cvs)
	* BUILD init.d xinet.d services
	  spell created

